com.amazonaws.services.simpleworkflow.model

## Class DecisionTask

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.simpleworkflow.model.DecisionTask

All Implemented Interfaces:
  Serializable, Cloneable

    public class DecisionTask
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

A structure that represents a decision task. Decision tasks are sent to deciders in order for them to make decisions.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DecisionTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DecisionTask` `clone()`
`boolean` `equals(Object obj)`
`List<HistoryEvent>` `getEvents()` A paginated list of history events of the workflow execution.
`String` `getNextPageToken()` If a `NextPageToken` was returned by a previous call, there are more results available.
`Long` `getPreviousStartedEventId()` The ID of the DecisionTaskStarted event of the previous decision task of this workflow execution that was processed by the decider.
`Long` `getStartedEventId()` The ID of the `DecisionTaskStarted` event recorded in the history.
`String` `getTaskToken()` The opaque string used as a handle on the task.
`WorkflowExecution` `getWorkflowExecution()` The workflow execution for which this decision task was created.
`WorkflowType` `getWorkflowType()` The type of the workflow execution for which this decision task was created.
`int` `hashCode()`
`void` `setEvents(Collection<HistoryEvent> events)` A paginated list of history events of the workflow execution.
`void` `setNextPageToken(String nextPageToken)` If a `NextPageToken` was returned by a previous call, there are more results available.
`void` `setPreviousStartedEventId(Long previousStartedEventId)` The ID of the DecisionTaskStarted event of the previous decision task of this workflow execution that was processed by the decider.
`void` `setStartedEventId(Long startedEventId)` The ID of the `DecisionTaskStarted` event recorded in the history.
`void` `setTaskToken(String taskToken)` The opaque string used as a handle on the task.
`void` `setWorkflowExecution(WorkflowExecution workflowExecution)` The workflow execution for which this decision task was created.
`void` `setWorkflowType(WorkflowType workflowType)` The type of the workflow execution for which this decision task was created.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DecisionTask` `withEvents(Collection<HistoryEvent> events)` A paginated list of history events of the workflow execution.
`DecisionTask` `withEvents(HistoryEvent... events)` A paginated list of history events of the workflow execution.
`DecisionTask` `withNextPageToken(String nextPageToken)` If a `NextPageToken` was returned by a previous call, there are more results available.
`DecisionTask` `withPreviousStartedEventId(Long previousStartedEventId)` The ID of the DecisionTaskStarted event of the previous decision task of this workflow execution that was processed by the decider.
`DecisionTask` `withStartedEventId(Long startedEventId)` The ID of the `DecisionTaskStarted` event recorded in the history.
`DecisionTask` `withTaskToken(String taskToken)` The opaque string used as a handle on the task.
`DecisionTask` `withWorkflowExecution(WorkflowExecution workflowExecution)` The workflow execution for which this decision task was created.
`DecisionTask` `withWorkflowType(WorkflowType workflowType)` The type of the workflow execution for which this decision task was created.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DecisionTask

    public DecisionTask()

### Method Detail

#### setTaskToken

    public void setTaskToken(String taskToken)

The opaque string used as a handle on the task. This token is used by workers to communicate progress and response information back to the system about the task.

Parameters:
  `taskToken` - The opaque string used as a handle on the task. This token is used by workers to communicate progress and response information back to the system about the task.

#### getTaskToken

    public String getTaskToken()

The opaque string used as a handle on the task. This token is used by workers to communicate progress and response information back to the system about the task.

Returns:
  The opaque string used as a handle on the task. This token is used by workers to communicate progress and response information back to the system about the task.

#### withTaskToken

    public DecisionTask withTaskToken(String taskToken)

The opaque string used as a handle on the task. This token is used by workers to communicate progress and response information back to the system about the task.

Parameters:
  `taskToken` - The opaque string used as a handle on the task. This token is used by workers to communicate progress and response information back to the system about the task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedEventId

    public void setStartedEventId(Long startedEventId)

The ID of the `DecisionTaskStarted` event recorded in the history.

Parameters:
  `startedEventId` - The ID of the `DecisionTaskStarted` event recorded in the history.

#### getStartedEventId

    public Long getStartedEventId()

The ID of the `DecisionTaskStarted` event recorded in the history.

Returns:
  The ID of the `DecisionTaskStarted` event recorded in the history.

#### withStartedEventId

    public DecisionTask withStartedEventId(Long startedEventId)

The ID of the `DecisionTaskStarted` event recorded in the history.

Parameters:
  `startedEventId` - The ID of the `DecisionTaskStarted` event recorded in the history.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowExecution

    public void setWorkflowExecution(WorkflowExecution workflowExecution)

The workflow execution for which this decision task was created.

Parameters:
  `workflowExecution` - The workflow execution for which this decision task was created.

#### getWorkflowExecution

    public WorkflowExecution getWorkflowExecution()

The workflow execution for which this decision task was created.

Returns:
  The workflow execution for which this decision task was created.

#### withWorkflowExecution

    public DecisionTask withWorkflowExecution(WorkflowExecution workflowExecution)

The workflow execution for which this decision task was created.

Parameters:
  `workflowExecution` - The workflow execution for which this decision task was created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowType

    public void setWorkflowType(WorkflowType workflowType)

The type of the workflow execution for which this decision task was created.

Parameters:
  `workflowType` - The type of the workflow execution for which this decision task was created.

#### getWorkflowType

    public WorkflowType getWorkflowType()

The type of the workflow execution for which this decision task was created.

Returns:
  The type of the workflow execution for which this decision task was created.

#### withWorkflowType

    public DecisionTask withWorkflowType(WorkflowType workflowType)

The type of the workflow execution for which this decision task was created.

Parameters:
  `workflowType` - The type of the workflow execution for which this decision task was created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getEvents

    public List<HistoryEvent> getEvents()

A paginated list of history events of the workflow execution. The decider uses this during the processing of the decision task.

Returns:
  A paginated list of history events of the workflow execution. The decider uses this during the processing of the decision task.

#### setEvents

    public void setEvents(Collection<HistoryEvent> events)

A paginated list of history events of the workflow execution. The decider uses this during the processing of the decision task.

Parameters:
  `events` - A paginated list of history events of the workflow execution. The decider uses this during the processing of the decision task.

#### withEvents

    public DecisionTask withEvents(HistoryEvent... events)

A paginated list of history events of the workflow execution. The decider uses this during the processing of the decision task.

NOTE: This method appends the values to the existing list (if any). Use `setEvents(java.util.Collection)` or `withEvents(java.util.Collection)` if you want to override the existing values.

Parameters:
  `events` - A paginated list of history events of the workflow execution. The decider uses this during the processing of the decision task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withEvents

    public DecisionTask withEvents(Collection<HistoryEvent> events)

A paginated list of history events of the workflow execution. The decider uses this during the processing of the decision task.

Parameters:
  `events` - A paginated list of history events of the workflow execution. The decider uses this during the processing of the decision task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextPageToken

    public void setNextPageToken(String nextPageToken)

If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

The configured `maximumPageSize` determines how many results can be returned in a single call.

Parameters:
  `nextPageToken` - If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

  The configured `maximumPageSize` determines how many results can be returned in a single call.

#### getNextPageToken

    public String getNextPageToken()

If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

The configured `maximumPageSize` determines how many results can be returned in a single call.

Returns:
  If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

  The configured `maximumPageSize` determines how many results can be returned in a single call.

#### withNextPageToken

    public DecisionTask withNextPageToken(String nextPageToken)

If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

The configured `maximumPageSize` determines how many results can be returned in a single call.

Parameters:
  `nextPageToken` - If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

  The configured `maximumPageSize` determines how many results can be returned in a single call.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPreviousStartedEventId

    public void setPreviousStartedEventId(Long previousStartedEventId)

The ID of the DecisionTaskStarted event of the previous decision task of this workflow execution that was processed by the decider. This can be used to determine the events in the history new since the last decision task received by the decider.

Parameters:
  `previousStartedEventId` - The ID of the DecisionTaskStarted event of the previous decision task of this workflow execution that was processed by the decider. This can be used to determine the events in the history new since the last decision task received by the decider.

#### getPreviousStartedEventId

    public Long getPreviousStartedEventId()

The ID of the DecisionTaskStarted event of the previous decision task of this workflow execution that was processed by the decider. This can be used to determine the events in the history new since the last decision task received by the decider.

Returns:
  The ID of the DecisionTaskStarted event of the previous decision task of this workflow execution that was processed by the decider. This can be used to determine the events in the history new since the last decision task received by the decider.

#### withPreviousStartedEventId

    public DecisionTask withPreviousStartedEventId(Long previousStartedEventId)

The ID of the DecisionTaskStarted event of the previous decision task of this workflow execution that was processed by the decider. This can be used to determine the events in the history new since the last decision task received by the decider.

Parameters:
  `previousStartedEventId` - The ID of the DecisionTaskStarted event of the previous decision task of this workflow execution that was processed by the decider. This can be used to determine the events in the history new since the last decision task received by the decider.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DecisionTask clone()

Overrides:
  `clone` in class `Object`